Home > Uncategorized > Google Maps now compatible with Opera

Google Maps now compatible with Opera

February 25, 2005

Google updated Google Maps today to make it work on the Opera browser. It used to work only with IE version 5.5 and up as well as Mozilla but not in Opera.

Perhaps the last paragraph in this post accomplished something.

Advertisements
Categories: Uncategorized
  1. February 25, 2005 at 1:08 pm

    I tried it with v8 Beta 1 and it is MUCH slower than Firefox. Still needs some work.

  2. t
    January 24, 2007 at 12:52 am

    two years later, and it is _still_ far slower…

  1. No trackbacks yet.
Comments are closed.
%d bloggers like this: